# Copyright 2017-2018 Tobias Leupold <tobias.leupold@gmx.de>
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# This file is under the public domain and can be reused without restrictions.

if (EXISTS ${BASE_DIR}/.git)
    find_package(Git QUIET)
endif()

if (GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} --no-pager log -1 --format=%ad
                            --date=format:%d.%m.%Y -- ${BASE_DIR}/res/doc/Readme.rst
                    OUTPUT_VARIABLE LASTCHANGE
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    message("-- Setting the Readme's last changed date to ${LASTCHANGE}")
    configure_file(${BASE_DIR}/res/doc/Readme.rst ${CMAKE_CURRENT_BINARY_DIR}/Readme.rst)
else()
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy ${BASE_DIR}/res/doc/Readme.rst
                                                     ${CMAKE_CURRENT_BINARY_DIR})
endif()

message("-- Converting the Readme from RST to HTML")
execute_process(COMMAND ${RST2HTML} --stylesheet=html4css1.css,${BASE_DIR}/res/doc/Readme.css
                        Readme.rst Readme.htm
                WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
