; This file is not encoded in UTF-8, but in ISO-8859-15

!include "MUI.nsh"

SetCompressor /SOLID lzma

!define MUI_PAGE_CUSTOMFUNCTION_SHOW change_license_font
!insertmacro MUI_PAGE_LICENSE "COPYING.txt"

Function change_license_font
    FindWindow $0 "#32770" "" $HWNDPARENT
    CreateFont $1 "Lucida Console" "7"
    GetDlgItem $0 $0 1000
    SendMessage $0 ${WM_SETFONT} $1 1
FunctionEnd

!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!define MUI_FINISHPAGE_RUN
!define MUI_FINISHPAGE_RUN_TEXT "Muckturnier starten"
!define MUI_FINISHPAGE_RUN_FUNCTION "LaunchLink"
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_LANGUAGE "German"

Name "Muckturnier"
InstallDir "$PROGRAMFILES\Muckturnier"

Section "Muckturnier"
    SetOutPath "$INSTDIR"

    File muckturnier.exe
    File COPYING.txt
    File ChangeLog.txt
    File Readme.htm
    File application-x-muckturnier.ico

    WriteUninstaller "$INSTDIR\uninstall.exe"

    CreateDirectory "$SMPROGRAMS\Muckturnier"
    CreateShortcut "$SMPROGRAMS\Muckturnier\Muckturnier.lnk" "$INSTDIR\muckturnier.exe" "" ""
    CreateShortcut "$SMPROGRAMS\Muckturnier\Handbuch zu Muckturnier.lnk" "$INSTDIR\Readme.htm" "" ""
    CreateShortcut "$SMPROGRAMS\Muckturnier\Muckturnier deinstallieren.lnk" "$INSTDIR\uninstall.exe" "" ""

    ; Check for an existing ".mtdb" entry and create a backup if needed
    ReadRegStr $1 HKCR ".mtdb" ""
    StrCmp "$1" "" SkipBackup ; it's empty
    StrCmp "$1" "Muckturnier-Turnierdatenbank" SkipBackup ; it's set by this installer
    WriteRegStr HKCR ".mtdb" "muckturnier.tournamentdatabase_backup" "$1"
    SkipBackup:

    WriteRegStr HKCR ".mtdb" "" "muckturnier.tournamentdatabase"
    WriteRegStr HKCR "muckturnier.tournamentdatabase" "" "Muckturnier-Turnierdatenbank"
    WriteRegStr HKCR "muckturnier.tournamentdatabase\DefaultIcon" "" "$INSTDIR\application-x-muckturnier.ico"
    WriteRegStr HKCR "muckturnier.tournamentdatabase\shell" "" "open"
    WriteRegStr HKCR "muckturnier.tournamentdatabase\shell\open" "" "Turnier ffnen"
    WriteRegStr HKCR "muckturnier.tournamentdatabase\shell\open\command" "" "$INSTDIR\muckturnier.exe $\"%1$\""
SectionEnd

Function LaunchLink
    ExecShell "" "$SMPROGRAMS\Muckturnier\Muckturnier.lnk"
FunctionEnd

Section "Uninstall"
    Delete "$INSTDIR\uninstall.exe"
    Delete "$INSTDIR\muckturnier.exe"
    Delete "$INSTDIR\COPYING.txt"
    Delete "$INSTDIR\ChangeLog.txt"
    Delete "$INSTDIR\Readme.htm"
    Delete "$INSTDIR\application-x-muckturnier.ico"
    RMDir "$INSTDIR"

    Delete "$SMPROGRAMS\Muckturnier\Muckturnier.lnk"
    Delete "$SMPROGRAMS\Muckturnier\Handbuch zu Muckturnier.lnk"
    Delete "$SMPROGRAMS\Muckturnier\Muckturnier deinstallieren.lnk"
    RMDir "$SMPROGRAMS\Muckturnier"

    ; Check for a saved existing entry
    ReadRegStr $1 HKCR ".mtdb" ""
    StrCmp $1 "muckturnier.tournamentdatabase" 0 SkipRestore ; The key wasn't set by this installer
    ReadRegStr $1 HKCR ".mtdb" "muckturnier.tournamentdatabase_backup"

    ; Check if we don't have a backup. If so, delete the whole key and finish
    StrCmp $1 "" 0 Restore
    DeleteRegKey HKCR ".mtdb"
    Goto SkipRestore

    Restore:
    WriteRegStr HKCR ".mtdb" "" $1
    DeleteRegValue HKCR ".mtdb" "muckturnier.tournamentdatabase_backup"
    DeleteRegKey HKCR "Muckturnier-Turnierdatenbank" ; Delete key with association name settings

    SkipRestore:
SectionEnd
