/* Copyright (c) 2012-2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BOOGERWIDGET_H
#define BOOGERWIDGET_H

// Qt includes
#include <QWidget>
#include <QPushButton>

// Qt Classes
class QKeyEvent;
class QPushButton;

// Local classes
class BoogerSpinBox;
class BoogerRadioButton;

class BoogerWidget : public QWidget
{
    Q_OBJECT

public:
    explicit BoogerWidget(QWidget *parent, int booger, int boogersPerRound, int boogerScore);
    int score(int pair) const;
    void setScore(int pair1Score, int pair2Score);
    void setAsFirstAborted();
    void setAborted(bool aborted);
    void reset();

signals:
    void returnPressed();
    void abortedStateChanged(int booger, bool aborted);
    void scoreDialogRequested(BoogerSpinBox *spinBox);

private slots:
    void toggleScore();
    void abortedButtonClicked(bool aborted);

private: // Variables
    int m_boogerScore;
    int m_boogerNumber;
    QList<BoogerSpinBox *> m_score;
    QList<BoogerRadioButton *> m_booger;
    QPushButton *m_boogerAborted;

};

#endif // BOOGERWIDGET_H
