/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "PlayersPageDelegate.h"

// Qt includes
#include <QLineEdit>
#include <QDebug>

PlayersPageDelegate::PlayersPageDelegate(QObject *parent) : TableDelegate(parent)
{
}

void PlayersPageDelegate::setModelData(QWidget *editor, QAbstractItemModel *,
                                       const QModelIndex &index) const
{
    const QString originalData = index.data().toString();
    const QString enteredData = dynamic_cast<QLineEdit *>(editor)->text().simplified();

    if (enteredData.isEmpty() || enteredData == originalData) {
        return;
    }

    emit editEntered(originalData, enteredData);
}
