/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PLAYERSSELECT_H
#define PLAYERSSELECT_H

// Qt includes
#include <QComboBox>

// Local classes
class SearchEngine;

// Qt classes
class QStringListModel;

class PlayersSelect : public QComboBox
{
    Q_OBJECT

public:
    explicit PlayersSelect(QWidget *parent, SearchEngine *searchEngine, int pair);

signals:
    void disableSaveScore();
    void checkSavePossible();
    void selectionChanged(int pair, int index);

private slots:
    void lineEditTextChanged(const QString &text);
    void resetLineEditText();
    void completerActivated(const QString &text);
    void processGivenText();
    void popupHidden();

private: // Functions
    void finishSearch();

private: // Variables
    SearchEngine *m_searchEngine;
    int m_pair;
    QStringListModel *m_matches;
    bool m_isSearching;
    bool m_completerActivated;

};

#endif // PLAYERSSELECT_H
