/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SCOREDIALOG_H
#define SCOREDIALOG_H

// Qt includes
#include <QDialog>

// Qt classes
class QScrollArea;

class ScoreDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ScoreDialog(QWidget *parent);
    void setBoogerScore(int score);
    void show();
    int score() const;

private slots:
    void checkForScrollBar();
    void scoreClicked(QPushButton *button);

private: // Variables
    QScrollArea *m_scrollArea;
    int m_boogerScore;
    int m_score;

};

#endif // SCOREDIALOG_H
