/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "StringTools.h"

// Qt includes
#include <QDebug>

StringTools::StringTools(QObject *parent) : QObject(parent)
{
    m_collator.setCaseSensitivity(Qt::CaseInsensitive);
}

void StringTools::sortList(QStringList &list) const
{
    // According to the Qt Wiki, one should use the following lambda function:
    // [&](const QString &a, const QString &b) { return m_sorter.compare(a, b) < 0; }
    // but referencing the QCollator directly works just fine!
    std::sort(list.begin(), list.end(), m_collator);
}

QString StringTools::toLower(const QString &text) const
{
    return m_locale.toLower(text);
}

void StringTools::appendIfNotExists(QStringList &list, const QString &text) const
{
    if (! list.contains(text)) {
        list.append(text);
    }
}
