/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TITLEMENU_H
#define TITLEMENU_H

// Qt includes
#include <QMenu>

// Qt classes
class QWidgetAction;
class QLabel;

class TitleMenu : public QMenu
{

public:
    explicit TitleMenu(QWidget *parent = 0);
    explicit TitleMenu(const QString &text, QWidget *parent = 0);
    void setTitle(const QString &text);
    QString title() const;

private: // Functions
    void setupTitle();

private: // Variables
    QWidgetAction *m_titleAction;
    QLabel *m_title;

};

#endif // TITLEMENU_H
